<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/helpers/TypeOperations_lb62962ddf0e9a04_04664523.php';

class ReplaceSubstringOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523
{

    protected $string = '';
    protected $search = '';
    protected $replace = '';
    protected $result = '';

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['string']['value'])) {
            $this->string = $this->inDataPorts['string']['value'];
        }
        if(!empty($this->inDataPorts['search']['value'])) {
            $this->search = $this->inDataPorts['search']['value'];
        }
        if(!empty($this->inDataPorts['replace']['value'])) {
            $this->replace = $this->inDataPorts['replace']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'string') {
            $this->string = $value;
        } else if ($id == 'search') {
            $this->search = $value;
        } else if ($id == 'replace') {
            $this->replace = $value;
        }
    }

    public function process($params = array())
    {
        if (!TypeOperations_lb62962ddf0e9a04_04664523::isString($this->string)) {
            return;
        }
        if (!TypeOperations_lb62962ddf0e9a04_04664523::isString($this->search)) {
            $this->search = '';
        }
        if (!TypeOperations_lb62962ddf0e9a04_04664523::isString($this->replace)) {
            $this->replace = '';
        }
        $this->result = str_replace($this->search, $this->replace, $this->string);
    }

    public function getOutDataByPortId($portId)
    {
        return $this->result;
    }

}
