<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Notes',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Checked at Sanctions.io',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Notes',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Sanctions.io Bearer',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RestClientOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'url' => array(
                    'id' => 'url',
                                        'value' => 'https://api.sanctions.io/search/?name=',
                                    ),
                'httpMethod' => array(
                    'id' => 'httpMethod',
                                        'value' => 'GET',
                                    ),
                'headers' => array(
                    'id' => 'headers',
                                        'value' => '',
                                    ),
                'queryParameters' => array(
                    'id' => 'queryParameters',
                                        'value' => '',
                                    ),
                'authentication' => array(
                    'id' => 'authentication',
                                        'value' => '',
                                    ),
                'proxy' => array(
                    'id' => 'proxy',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'response' => array(
                    'id' => 'response',
                                        'value' => '',
                                    ),
                'httpCode' => array(
                    'id' => 'httpCode',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'GetHttpHeadersFromStructureOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'headers' => array(
                    'id' => 'headers',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'accept',
                                        'fields1' => 'Authorization',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'accept',
                                        'fields1' => 'Authorization',
                                        ),
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'accept',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Authorization',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'accept',
                                        'fields1' => 'Authorization',
                                        ),
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'accept',
                                        'fields1' => 'Authorization',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'accept',
                                        'fields1' => 'Authorization',
                                        ),
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'application/json; version=1.0',
                                    ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Bearer ',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'GetArrayFromJsonOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'json' => array(
                    'id' => 'json',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '{ "name" : "',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand4' => array(
                    'id' => 'operand4',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand5' => array(
                    'id' => 'operand5',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '", "type" : "',
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Leads',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Leads',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Accounts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-31' => array(
            'id' => 'op-31',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-33' => array(
            'id' => 'op-33',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-34' => array(
            'id' => 'op-34',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-35' => array(
            'id' => 'op-35',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-36' => array(
            'id' => 'op-36',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'NameToCheck',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-37' => array(
            'id' => 'op-37',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-38' => array(
            'id' => 'op-38',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Individual',
                                    ),
            ),
        ),
        'op-39' => array(
            'id' => 'op-39',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'first_name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'last_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-40' => array(
            'id' => 'op-40',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-41' => array(
            'id' => 'op-41',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' ',
                                    ),
            ),
        ),
        'op-42' => array(
            'id' => 'op-42',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '" }',
                                    ),
            ),
        ),
        'op-43' => array(
            'id' => 'op-43',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'NameToCheck',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-44' => array(
            'id' => 'op-44',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Type',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-45' => array(
            'id' => 'op-45',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-46' => array(
            'id' => 'op-46',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-48' => array(
            'id' => 'op-48',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'NameToCheck',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-51' => array(
            'id' => 'op-51',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-52' => array(
            'id' => 'op-52',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'NameToCheck',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-53' => array(
            'id' => 'op-53',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Individual',
                                    ),
            ),
        ),
        'op-54' => array(
            'id' => 'op-54',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Entity',
                                    ),
            ),
        ),
        'op-55' => array(
            'id' => 'op-55',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'first_name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'last_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-56' => array(
            'id' => 'op-56',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' ',
                                    ),
            ),
        ),
        'op-58' => array(
            'id' => 'op-58',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'No parent ID found',
                                    ),
            ),
        ),
        'op-61' => array(
            'id' => 'op-61',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'ConstantBoolOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'true',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Bearer',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Bearer',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-67' => array(
            'id' => 'op-67',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '200',
                                    ),
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-70' => array(
            'id' => 'op-70',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-71' => array(
            'id' => 'op-71',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Sanctions.io API call error: ',
                                    ),
            ),
        ),
        'op-72' => array(
            'id' => 'op-72',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-74' => array(
            'id' => 'op-74',
            'type' => 'GetArrayFromJsonOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'json' => array(
                    'id' => 'json',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-75' => array(
            'id' => 'op-75',
            'type' => 'GetArrayElementsByTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
                'pathTemplate' => array(
                    'id' => 'pathTemplate',
                                        'value' => 'results.*',
                                    ),
            ),
            'outDataPorts' => array(
                'elements' => array(
                    'id' => 'elements',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-78' => array(
            'id' => 'op-78',
            'type' => 'GetArrayElementOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
                'path' => array(
                    'id' => 'path',
                                        'value' => 'name',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-79' => array(
            'id' => 'op-79',
            'type' => 'GetStringLengthOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'length' => array(
                    'id' => 'length',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-80' => array(
            'id' => 'op-80',
            'type' => 'GreaterThanOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-81' => array(
            'id' => 'op-81',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '0',
                                    ),
            ),
        ),
        'op-82' => array(
            'id' => 'op-82',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-83' => array(
            'id' => 'op-83',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-84' => array(
            'id' => 'op-84',
            'type' => 'ForEachElementOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'elements' => array(
                    'id' => 'elements',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-101' => array(
            'id' => 'op-101',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-102' => array(
            'id' => 'op-102',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-104' => array(
            'id' => 'op-104',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-105' => array(
            'id' => 'op-105',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-106' => array(
            'id' => 'op-106',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-107' => array(
            'id' => 'op-107',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'result',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-113' => array(
            'id' => 'op-113',
            'type' => 'GetJsonFromArrayOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'json' => array(
                    'id' => 'json',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-136' => array(
            'id' => 'op-136',
            'type' => 'GetArrayElementsByPathOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'elements0' => array(
                    'id' => 'elements0',
                                        'value' => 'name',
                                        'section' => 'elements',
                ),
                'elements1' => array(
                    'id' => 'elements1',
                                        'value' => 'type',
                                        'section' => 'elements',
                ),
                'elements2' => array(
                    'id' => 'elements2',
                                        'value' => 'start_date',
                                        'section' => 'elements',
                ),
                'elements3' => array(
                    'id' => 'elements3',
                                        'value' => 'remarks',
                                        'section' => 'elements',
                ),
                'elements4' => array(
                    'id' => 'elements4',
                                        'value' => 'source',
                                        'section' => 'elements',
                ),
                'elements5' => array(
                    'id' => 'elements5',
                                        'value' => 'source_list_url',
                                        'section' => 'elements',
                ),
            ),
        ),
        'op-139' => array(
            'id' => 'op-139',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[name]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-140' => array(
            'id' => 'op-140',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[type]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-141' => array(
            'id' => 'op-141',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[start_date]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-142' => array(
            'id' => 'op-142',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[remarks]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-143' => array(
            'id' => 'op-143',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[source]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-144' => array(
            'id' => 'op-144',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[[[source_list_url]]]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-145' => array(
            'id' => 'op-145',
            'type' => 'ConstantTextOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '[[[type]]] ::: [[[name]]]

[[[remarks]]]

START DATE  : [[[start_date]]]
SOURCE NAME : [[[source]]]
SOURCE URL  : [[[source_list_url]]] 
==================================
',
                                    ),
            ),
        ),
        'op-146' => array(
            'id' => 'op-146',
            'type' => 'ToUpperCaseOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-3' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-3condition',
            'toOperator' => 'op-3',
            'toConnector' => 'condition'
        ),
        'link-4' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-5operand1',
            'toOperator' => 'op-5',
            'toConnector' => 'operand1'
        ),
        'link-5' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-5operand2',
            'toOperator' => 'op-5',
            'toConnector' => 'operand2'
        ),
        'link-6' => array(
            'from' => 'op-3controlFlowIfTrue',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-6controlFlow',
            'toOperator' => 'op-6',
            'toConnector' => 'controlFlow'
        ),
        'link-7' => array(
            'from' => 'op-5result',
            'fromOperator' => 'op-5',
            'fromConnector' => 'result',
            'to' => 'op-6condition',
            'toOperator' => 'op-6',
            'toConnector' => 'condition'
        ),
        'link-9' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-8fields0',
            'toOperator' => 'op-8',
            'toConnector' => 'fields0'
        ),
        'link-10' => array(
            'from' => 'op-8singleEntity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'singleEntity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-12headers',
            'fromOperator' => 'op-12',
            'fromConnector' => 'headers',
            'to' => 'op-11headers',
            'toOperator' => 'op-11',
            'toConnector' => 'headers'
        ),
        'link-13' => array(
            'from' => 'op-14schema',
            'fromOperator' => 'op-14',
            'fromConnector' => 'schema',
            'to' => 'op-13schema',
            'toOperator' => 'op-13',
            'toConnector' => 'schema'
        ),
        'link-17' => array(
            'from' => 'op-13structure',
            'fromOperator' => 'op-13',
            'fromConnector' => 'structure',
            'to' => 'op-15structure',
            'toOperator' => 'op-15',
            'toConnector' => 'structure'
        ),
        'link-18' => array(
            'from' => 'op-15structure',
            'fromOperator' => 'op-15',
            'fromConnector' => 'structure',
            'to' => 'op-12structure',
            'toOperator' => 'op-12',
            'toConnector' => 'structure'
        ),
        'link-19' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-15controlFlow',
            'toOperator' => 'op-15',
            'toConnector' => 'controlFlow'
        ),
        'link-20' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-15fields0',
            'toOperator' => 'op-15',
            'toConnector' => 'fields0'
        ),
        'link-21' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-18operand1',
            'toOperator' => 'op-18',
            'toConnector' => 'operand1'
        ),
        'link-23' => array(
            'from' => 'op-18result',
            'fromOperator' => 'op-18',
            'fromConnector' => 'result',
            'to' => 'op-15fields1',
            'toOperator' => 'op-15',
            'toConnector' => 'fields1'
        ),
        'link-24' => array(
            'from' => 'op-20array',
            'fromOperator' => 'op-20',
            'fromConnector' => 'array',
            'to' => 'op-11queryParameters',
            'toOperator' => 'op-11',
            'toConnector' => 'queryParameters'
        ),
        'link-25' => array(
            'from' => 'op-21result',
            'fromOperator' => 'op-21',
            'fromConnector' => 'result',
            'to' => 'op-22operand1',
            'toOperator' => 'op-22',
            'toConnector' => 'operand1'
        ),
        'link-26' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-22operand3',
            'toOperator' => 'op-22',
            'toConnector' => 'operand3'
        ),
        'link-34' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-28fields0',
            'toOperator' => 'op-28',
            'toConnector' => 'fields0'
        ),
        'link-35' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-29fields0',
            'toOperator' => 'op-29',
            'toConnector' => 'fields0'
        ),
        'link-36' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-30fields0',
            'toOperator' => 'op-30',
            'toConnector' => 'fields0'
        ),
        'link-37' => array(
            'from' => 'op-28entitiesNumber',
            'fromOperator' => 'op-28',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-34operand1',
            'toOperator' => 'op-34',
            'toConnector' => 'operand1'
        ),
        'link-38' => array(
            'from' => 'op-31result',
            'fromOperator' => 'op-31',
            'fromConnector' => 'result',
            'to' => 'op-34operand2',
            'toOperator' => 'op-34',
            'toConnector' => 'operand2'
        ),
        'link-39' => array(
            'from' => 'op-34result',
            'fromOperator' => 'op-34',
            'fromConnector' => 'result',
            'to' => 'op-35condition',
            'toOperator' => 'op-35',
            'toConnector' => 'condition'
        ),
        'link-40' => array(
            'from' => 'op-28controlFlow',
            'fromOperator' => 'op-28',
            'fromConnector' => 'controlFlow',
            'to' => 'op-35controlFlow',
            'toOperator' => 'op-35',
            'toConnector' => 'controlFlow'
        ),
        'link-41' => array(
            'from' => 'op-35controlFlowIfTrue',
            'fromOperator' => 'op-35',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-36controlFlow',
            'toOperator' => 'op-36',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-36controlFlow',
            'fromOperator' => 'op-36',
            'fromConnector' => 'controlFlow',
            'to' => 'op-37controlFlow',
            'toOperator' => 'op-37',
            'toConnector' => 'controlFlow'
        ),
        'link-43' => array(
            'from' => 'op-38result',
            'fromOperator' => 'op-38',
            'fromConnector' => 'result',
            'to' => 'op-37value',
            'toOperator' => 'op-37',
            'toConnector' => 'value'
        ),
        'link-44' => array(
            'from' => 'op-28singleEntity',
            'fromOperator' => 'op-28',
            'fromConnector' => 'singleEntity',
            'to' => 'op-39entity',
            'toOperator' => 'op-39',
            'toConnector' => 'entity'
        ),
        'link-45' => array(
            'from' => 'op-39fields0',
            'fromOperator' => 'op-39',
            'fromConnector' => 'fields0',
            'to' => 'op-40operand1',
            'toOperator' => 'op-40',
            'toConnector' => 'operand1'
        ),
        'link-46' => array(
            'from' => 'op-41result',
            'fromOperator' => 'op-41',
            'fromConnector' => 'result',
            'to' => 'op-40operand2',
            'toOperator' => 'op-40',
            'toConnector' => 'operand2'
        ),
        'link-47' => array(
            'from' => 'op-39fields1',
            'fromOperator' => 'op-39',
            'fromConnector' => 'fields1',
            'to' => 'op-40operand3',
            'toOperator' => 'op-40',
            'toConnector' => 'operand3'
        ),
        'link-48' => array(
            'from' => 'op-40result',
            'fromOperator' => 'op-40',
            'fromConnector' => 'result',
            'to' => 'op-36value',
            'toOperator' => 'op-36',
            'toConnector' => 'value'
        ),
        'link-49' => array(
            'from' => 'op-42result',
            'fromOperator' => 'op-42',
            'fromConnector' => 'result',
            'to' => 'op-22operand5',
            'toOperator' => 'op-22',
            'toConnector' => 'operand5'
        ),
        'link-50' => array(
            'from' => 'op-43value',
            'fromOperator' => 'op-43',
            'fromConnector' => 'value',
            'to' => 'op-22operand2',
            'toOperator' => 'op-22',
            'toConnector' => 'operand2'
        ),
        'link-51' => array(
            'from' => 'op-44value',
            'fromOperator' => 'op-44',
            'fromConnector' => 'value',
            'to' => 'op-22operand4',
            'toOperator' => 'op-22',
            'toConnector' => 'operand4'
        ),
        'link-52' => array(
            'from' => 'op-22result',
            'fromOperator' => 'op-22',
            'fromConnector' => 'result',
            'to' => 'op-20json',
            'toOperator' => 'op-20',
            'toConnector' => 'json'
        ),
        'link-53' => array(
            'from' => 'op-29entitiesNumber',
            'fromOperator' => 'op-29',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-47operand1',
            'toOperator' => 'op-47',
            'toConnector' => 'operand1'
        ),
        'link-54' => array(
            'from' => 'op-32result',
            'fromOperator' => 'op-32',
            'fromConnector' => 'result',
            'to' => 'op-47operand2',
            'toOperator' => 'op-47',
            'toConnector' => 'operand2'
        ),
        'link-55' => array(
            'from' => 'op-47result',
            'fromOperator' => 'op-47',
            'fromConnector' => 'result',
            'to' => 'op-45condition',
            'toOperator' => 'op-45',
            'toConnector' => 'condition'
        ),
        'link-56' => array(
            'from' => 'op-30entitiesNumber',
            'fromOperator' => 'op-30',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-48operand1',
            'toOperator' => 'op-48',
            'toConnector' => 'operand1'
        ),
        'link-57' => array(
            'from' => 'op-33result',
            'fromOperator' => 'op-33',
            'fromConnector' => 'result',
            'to' => 'op-48operand2',
            'toOperator' => 'op-48',
            'toConnector' => 'operand2'
        ),
        'link-58' => array(
            'from' => 'op-48result',
            'fromOperator' => 'op-48',
            'fromConnector' => 'result',
            'to' => 'op-46condition',
            'toOperator' => 'op-46',
            'toConnector' => 'condition'
        ),
        'link-59' => array(
            'from' => 'op-49controlFlow',
            'fromOperator' => 'op-49',
            'fromConnector' => 'controlFlow',
            'to' => 'op-50controlFlow',
            'toOperator' => 'op-50',
            'toConnector' => 'controlFlow'
        ),
        'link-60' => array(
            'from' => 'op-52controlFlow',
            'fromOperator' => 'op-52',
            'fromConnector' => 'controlFlow',
            'to' => 'op-51controlFlow',
            'toOperator' => 'op-51',
            'toConnector' => 'controlFlow'
        ),
        'link-61' => array(
            'from' => 'op-29controlFlow',
            'fromOperator' => 'op-29',
            'fromConnector' => 'controlFlow',
            'to' => 'op-45controlFlow',
            'toOperator' => 'op-45',
            'toConnector' => 'controlFlow'
        ),
        'link-62' => array(
            'from' => 'op-30controlFlow',
            'fromOperator' => 'op-30',
            'fromConnector' => 'controlFlow',
            'to' => 'op-46controlFlow',
            'toOperator' => 'op-46',
            'toConnector' => 'controlFlow'
        ),
        'link-63' => array(
            'from' => 'op-45controlFlowIfTrue',
            'fromOperator' => 'op-45',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-49controlFlow',
            'toOperator' => 'op-49',
            'toConnector' => 'controlFlow'
        ),
        'link-64' => array(
            'from' => 'op-46controlFlowIfTrue',
            'fromOperator' => 'op-46',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-52controlFlow',
            'toOperator' => 'op-52',
            'toConnector' => 'controlFlow'
        ),
        'link-65' => array(
            'from' => 'op-29singleEntity',
            'fromOperator' => 'op-29',
            'fromConnector' => 'singleEntity',
            'to' => 'op-55entity',
            'toOperator' => 'op-55',
            'toConnector' => 'entity'
        ),
        'link-66' => array(
            'from' => 'op-55fields0',
            'fromOperator' => 'op-55',
            'fromConnector' => 'fields0',
            'to' => 'op-56operand1',
            'toOperator' => 'op-56',
            'toConnector' => 'operand1'
        ),
        'link-67' => array(
            'from' => 'op-57result',
            'fromOperator' => 'op-57',
            'fromConnector' => 'result',
            'to' => 'op-56operand2',
            'toOperator' => 'op-56',
            'toConnector' => 'operand2'
        ),
        'link-68' => array(
            'from' => 'op-55fields1',
            'fromOperator' => 'op-55',
            'fromConnector' => 'fields1',
            'to' => 'op-56operand3',
            'toOperator' => 'op-56',
            'toConnector' => 'operand3'
        ),
        'link-69' => array(
            'from' => 'op-56result',
            'fromOperator' => 'op-56',
            'fromConnector' => 'result',
            'to' => 'op-49value',
            'toOperator' => 'op-49',
            'toConnector' => 'value'
        ),
        'link-70' => array(
            'from' => 'op-53result',
            'fromOperator' => 'op-53',
            'fromConnector' => 'result',
            'to' => 'op-50value',
            'toOperator' => 'op-50',
            'toConnector' => 'value'
        ),
        'link-71' => array(
            'from' => 'op-30singleEntity',
            'fromOperator' => 'op-30',
            'fromConnector' => 'singleEntity',
            'to' => 'op-58entity',
            'toOperator' => 'op-58',
            'toConnector' => 'entity'
        ),
        'link-72' => array(
            'from' => 'op-58fields0',
            'fromOperator' => 'op-58',
            'fromConnector' => 'fields0',
            'to' => 'op-52value',
            'toOperator' => 'op-52',
            'toConnector' => 'value'
        ),
        'link-73' => array(
            'from' => 'op-54result',
            'fromOperator' => 'op-54',
            'fromConnector' => 'result',
            'to' => 'op-51value',
            'toOperator' => 'op-51',
            'toConnector' => 'value'
        ),
        'link-75' => array(
            'from' => 'op-35controlFlowIfFalse',
            'fromOperator' => 'op-35',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-29controlFlow',
            'toOperator' => 'op-29',
            'toConnector' => 'controlFlow'
        ),
        'link-76' => array(
            'from' => 'op-45controlFlowIfFalse',
            'fromOperator' => 'op-45',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-77' => array(
            'from' => 'op-46controlFlowIfFalse',
            'fromOperator' => 'op-46',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-59controlFlow',
            'toOperator' => 'op-59',
            'toConnector' => 'controlFlow'
        ),
        'link-78' => array(
            'from' => 'op-60result',
            'fromOperator' => 'op-60',
            'fromConnector' => 'result',
            'to' => 'op-59value',
            'toOperator' => 'op-59',
            'toConnector' => 'value'
        ),
        'link-80' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-61condition',
            'toOperator' => 'op-61',
            'toConnector' => 'condition'
        ),
        'link-81' => array(
            'from' => 'op-37controlFlow',
            'fromOperator' => 'op-37',
            'fromConnector' => 'controlFlow',
            'to' => 'op-61controlFlow',
            'toOperator' => 'op-61',
            'toConnector' => 'controlFlow'
        ),
        'link-82' => array(
            'from' => 'op-50controlFlow',
            'fromOperator' => 'op-50',
            'fromConnector' => 'controlFlow',
            'to' => 'op-61controlFlow',
            'toOperator' => 'op-61',
            'toConnector' => 'controlFlow'
        ),
        'link-83' => array(
            'from' => 'op-51controlFlow',
            'fromOperator' => 'op-51',
            'fromConnector' => 'controlFlow',
            'to' => 'op-61controlFlow',
            'toOperator' => 'op-61',
            'toConnector' => 'controlFlow'
        ),
        'link-85' => array(
            'from' => 'op-6controlFlowIfTrue',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-63controlFlow',
            'toOperator' => 'op-63',
            'toConnector' => 'controlFlow'
        ),
        'link-86' => array(
            'from' => 'op-63controlFlow',
            'fromOperator' => 'op-63',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-87' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-63value',
            'toOperator' => 'op-63',
            'toConnector' => 'value'
        ),
        'link-88' => array(
            'from' => 'op-8controlFlow',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlow',
            'to' => 'op-65controlFlow',
            'toOperator' => 'op-65',
            'toConnector' => 'controlFlow'
        ),
        'link-89' => array(
            'from' => 'op-65controlFlow',
            'fromOperator' => 'op-65',
            'fromConnector' => 'controlFlow',
            'to' => 'op-28controlFlow',
            'toOperator' => 'op-28',
            'toConnector' => 'controlFlow'
        ),
        'link-90' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-65value',
            'toOperator' => 'op-65',
            'toConnector' => 'value'
        ),
        'link-91' => array(
            'from' => 'op-66value',
            'fromOperator' => 'op-66',
            'fromConnector' => 'value',
            'to' => 'op-18operand2',
            'toOperator' => 'op-18',
            'toConnector' => 'operand2'
        ),
        'link-92' => array(
            'from' => 'op-61controlFlowIfTrue',
            'fromOperator' => 'op-61',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-93' => array(
            'from' => 'op-15controlFlow',
            'fromOperator' => 'op-15',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-94' => array(
            'from' => 'op-11httpCode',
            'fromOperator' => 'op-11',
            'fromConnector' => 'httpCode',
            'to' => 'op-68operand1',
            'toOperator' => 'op-68',
            'toConnector' => 'operand1'
        ),
        'link-95' => array(
            'from' => 'op-67result',
            'fromOperator' => 'op-67',
            'fromConnector' => 'result',
            'to' => 'op-68operand2',
            'toOperator' => 'op-68',
            'toConnector' => 'operand2'
        ),
        'link-96' => array(
            'from' => 'op-68result',
            'fromOperator' => 'op-68',
            'fromConnector' => 'result',
            'to' => 'op-69condition',
            'toOperator' => 'op-69',
            'toConnector' => 'condition'
        ),
        'link-97' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-69controlFlow',
            'toOperator' => 'op-69',
            'toConnector' => 'controlFlow'
        ),
        'link-98' => array(
            'from' => 'op-69controlFlowIfFalse',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-70controlFlow',
            'toOperator' => 'op-70',
            'toConnector' => 'controlFlow'
        ),
        'link-99' => array(
            'from' => 'op-11httpCode',
            'fromOperator' => 'op-11',
            'fromConnector' => 'httpCode',
            'to' => 'op-72operand2',
            'toOperator' => 'op-72',
            'toConnector' => 'operand2'
        ),
        'link-100' => array(
            'from' => 'op-71result',
            'fromOperator' => 'op-71',
            'fromConnector' => 'result',
            'to' => 'op-72operand1',
            'toOperator' => 'op-72',
            'toConnector' => 'operand1'
        ),
        'link-101' => array(
            'from' => 'op-72result',
            'fromOperator' => 'op-72',
            'fromConnector' => 'result',
            'to' => 'op-70value',
            'toOperator' => 'op-70',
            'toConnector' => 'value'
        ),
        'link-102' => array(
            'from' => 'op-11response',
            'fromOperator' => 'op-11',
            'fromConnector' => 'response',
            'to' => 'op-74json',
            'toOperator' => 'op-74',
            'toConnector' => 'json'
        ),
        'link-103' => array(
            'from' => 'op-74array',
            'fromOperator' => 'op-74',
            'fromConnector' => 'array',
            'to' => 'op-75array',
            'toOperator' => 'op-75',
            'toConnector' => 'array'
        ),
        'link-105' => array(
            'from' => 'op-78value',
            'fromOperator' => 'op-78',
            'fromConnector' => 'value',
            'to' => 'op-79string',
            'toOperator' => 'op-79',
            'toConnector' => 'string'
        ),
        'link-106' => array(
            'from' => 'op-79length',
            'fromOperator' => 'op-79',
            'fromConnector' => 'length',
            'to' => 'op-80operand1',
            'toOperator' => 'op-80',
            'toConnector' => 'operand1'
        ),
        'link-107' => array(
            'from' => 'op-80result',
            'fromOperator' => 'op-80',
            'fromConnector' => 'result',
            'to' => 'op-82condition',
            'toOperator' => 'op-82',
            'toConnector' => 'condition'
        ),
        'link-108' => array(
            'from' => 'op-81result',
            'fromOperator' => 'op-81',
            'fromConnector' => 'result',
            'to' => 'op-80operand2',
            'toOperator' => 'op-80',
            'toConnector' => 'operand2'
        ),
        'link-109' => array(
            'from' => 'op-69controlFlowIfTrue',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-82controlFlow',
            'toOperator' => 'op-82',
            'toConnector' => 'controlFlow'
        ),
        'link-110' => array(
            'from' => 'op-82controlFlowIfTrue',
            'fromOperator' => 'op-82',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-83controlFlow',
            'toOperator' => 'op-83',
            'toConnector' => 'controlFlow'
        ),
        'link-111' => array(
            'from' => 'op-78value',
            'fromOperator' => 'op-78',
            'fromConnector' => 'value',
            'to' => 'op-83value',
            'toOperator' => 'op-83',
            'toConnector' => 'value'
        ),
        'link-112' => array(
            'from' => 'op-75elements',
            'fromOperator' => 'op-75',
            'fromConnector' => 'elements',
            'to' => 'op-84elements',
            'toOperator' => 'op-84',
            'toConnector' => 'elements'
        ),
        'link-137' => array(
            'from' => 'op-102result',
            'fromOperator' => 'op-102',
            'fromConnector' => 'result',
            'to' => 'op-101value',
            'toOperator' => 'op-101',
            'toConnector' => 'value'
        ),
        'link-138' => array(
            'from' => 'op-104value',
            'fromOperator' => 'op-104',
            'fromConnector' => 'value',
            'to' => 'op-102operand1',
            'toOperator' => 'op-102',
            'toConnector' => 'operand1'
        ),
        'link-141' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-105entity',
            'toOperator' => 'op-105',
            'toConnector' => 'entity'
        ),
        'link-143' => array(
            'from' => 'op-84controlFlowCompleted',
            'fromOperator' => 'op-84',
            'fromConnector' => 'controlFlowCompleted',
            'to' => 'op-105controlFlow',
            'toOperator' => 'op-105',
            'toConnector' => 'controlFlow'
        ),
        'link-144' => array(
            'from' => 'op-83controlFlow',
            'fromOperator' => 'op-83',
            'fromConnector' => 'controlFlow',
            'to' => 'op-105controlFlow',
            'toOperator' => 'op-105',
            'toConnector' => 'controlFlow'
        ),
        'link-145' => array(
            'from' => 'op-70controlFlow',
            'fromOperator' => 'op-70',
            'fromConnector' => 'controlFlow',
            'to' => 'op-105controlFlow',
            'toOperator' => 'op-105',
            'toConnector' => 'controlFlow'
        ),
        'link-146' => array(
            'from' => 'op-59controlFlow',
            'fromOperator' => 'op-59',
            'fromConnector' => 'controlFlow',
            'to' => 'op-105controlFlow',
            'toOperator' => 'op-105',
            'toConnector' => 'controlFlow'
        ),
        'link-147' => array(
            'from' => 'op-105controlFlow',
            'fromOperator' => 'op-105',
            'fromConnector' => 'controlFlow',
            'to' => 'op-106controlFlow',
            'toOperator' => 'op-106',
            'toConnector' => 'controlFlow'
        ),
        'link-148' => array(
            'from' => 'op-105entity',
            'fromOperator' => 'op-105',
            'fromConnector' => 'entity',
            'to' => 'op-106entity',
            'toOperator' => 'op-106',
            'toConnector' => 'entity'
        ),
        'link-149' => array(
            'from' => 'op-107value',
            'fromOperator' => 'op-107',
            'fromConnector' => 'value',
            'to' => 'op-105fields0',
            'toOperator' => 'op-105',
            'toConnector' => 'fields0'
        ),
        'link-150' => array(
            'from' => 'op-74array',
            'fromOperator' => 'op-74',
            'fromConnector' => 'array',
            'to' => 'op-78array',
            'toOperator' => 'op-78',
            'toConnector' => 'array'
        ),
        'link-162' => array(
            'from' => 'op-84element',
            'fromOperator' => 'op-84',
            'fromConnector' => 'element',
            'to' => 'op-113array',
            'toOperator' => 'op-113',
            'toConnector' => 'array'
        ),
        'link-166' => array(
            'from' => 'op-82controlFlowIfFalse',
            'fromOperator' => 'op-82',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-84controlFlow',
            'toOperator' => 'op-84',
            'toConnector' => 'controlFlow'
        ),
        'link-217' => array(
            'from' => 'op-84controlFlowLoopBody',
            'fromOperator' => 'op-84',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-101controlFlow',
            'toOperator' => 'op-101',
            'toConnector' => 'controlFlow'
        ),
        'link-218' => array(
            'from' => 'op-113json',
            'fromOperator' => 'op-113',
            'fromConnector' => 'json',
            'to' => 'op-136array',
            'toOperator' => 'op-136',
            'toConnector' => 'array'
        ),
        'link-219' => array(
            'from' => 'op-139result',
            'fromOperator' => 'op-139',
            'fromConnector' => 'result',
            'to' => 'op-140string',
            'toOperator' => 'op-140',
            'toConnector' => 'string'
        ),
        'link-220' => array(
            'from' => 'op-136elements0',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements0',
            'to' => 'op-139replace',
            'toOperator' => 'op-139',
            'toConnector' => 'replace'
        ),
        'link-222' => array(
            'from' => 'op-140result',
            'fromOperator' => 'op-140',
            'fromConnector' => 'result',
            'to' => 'op-141string',
            'toOperator' => 'op-141',
            'toConnector' => 'string'
        ),
        'link-223' => array(
            'from' => 'op-136elements2',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements2',
            'to' => 'op-141replace',
            'toOperator' => 'op-141',
            'toConnector' => 'replace'
        ),
        'link-224' => array(
            'from' => 'op-141result',
            'fromOperator' => 'op-141',
            'fromConnector' => 'result',
            'to' => 'op-142string',
            'toOperator' => 'op-142',
            'toConnector' => 'string'
        ),
        'link-225' => array(
            'from' => 'op-142result',
            'fromOperator' => 'op-142',
            'fromConnector' => 'result',
            'to' => 'op-143string',
            'toOperator' => 'op-143',
            'toConnector' => 'string'
        ),
        'link-226' => array(
            'from' => 'op-143result',
            'fromOperator' => 'op-143',
            'fromConnector' => 'result',
            'to' => 'op-144string',
            'toOperator' => 'op-144',
            'toConnector' => 'string'
        ),
        'link-227' => array(
            'from' => 'op-136elements3',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements3',
            'to' => 'op-142replace',
            'toOperator' => 'op-142',
            'toConnector' => 'replace'
        ),
        'link-228' => array(
            'from' => 'op-136elements4',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements4',
            'to' => 'op-143replace',
            'toOperator' => 'op-143',
            'toConnector' => 'replace'
        ),
        'link-229' => array(
            'from' => 'op-136elements5',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements5',
            'to' => 'op-144replace',
            'toOperator' => 'op-144',
            'toConnector' => 'replace'
        ),
        'link-230' => array(
            'from' => 'op-145result',
            'fromOperator' => 'op-145',
            'fromConnector' => 'result',
            'to' => 'op-139string',
            'toOperator' => 'op-139',
            'toConnector' => 'string'
        ),
        'link-231' => array(
            'from' => 'op-144result',
            'fromOperator' => 'op-144',
            'fromConnector' => 'result',
            'to' => 'op-102operand2',
            'toOperator' => 'op-102',
            'toConnector' => 'operand2'
        ),
        'link-232' => array(
            'from' => 'op-136elements1',
            'fromOperator' => 'op-136',
            'fromConnector' => 'elements1',
            'to' => 'op-146string',
            'toOperator' => 'op-146',
            'toConnector' => 'string'
        ),
        'link-233' => array(
            'from' => 'op-146result',
            'fromOperator' => 'op-146',
            'fromConnector' => 'result',
            'to' => 'op-140replace',
            'toOperator' => 'op-140',
            'toConnector' => 'replace'
        ),
    )
);
