<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/helpers/TypeOperations_lb62962ddf0e9a04_04664523.php';

class ConstantNumberOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523{

    protected $realValue;
    protected $outValue;

    public function __construct($params){
        parent::__construct($params);
    }

    protected function setOutDataPorts($params){

        $this->realValue = $params['outDataPorts']['result']['value'];

        $this->outDataPorts = array(
            'result' => array('id' => 'result')
        );
    }

    public function process($params = array()){
        if(TypeOperations_lb62962ddf0e9a04_04664523::isNumeric($this->realValue)){
            if(strpos($this->realValue, '.') === false){
                $this->outValue = intval($this->realValue);
            }else{
                $this->outValue = doubleval($this->realValue);
            }
        }else
            $this->outValue = 0;
    }


    public function getOutDataByPortId($portId){
        return $this->outValue;
    }

}
