<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/dataStorage/ArrayPath_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/helpers/ArrayHelper_lb62962ddf0e9a04_04664523.php';

class GetArrayElementOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523
{

    protected $array;
    protected $path;
    protected $value;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['array']['value'])) {
            $this->array = ArrayHelper_lb62962ddf0e9a04_04664523::castToArray($this->inDataPorts['array']['value']);
        }
        if(!empty($this->inDataPorts['path']['value'])) {
            $this->path = trim($this->inDataPorts['path']['value']);
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'array') {
            $this->array = ArrayHelper_lb62962ddf0e9a04_04664523::castToArray($value);
        } else if ($id == 'path') {
            $this->path = trim($value);
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->value;
    }

    public function process($params = array())
    {
        try {
            $this->value = $this->getValue($this->array, $this->path);
        } catch(Exception $exception) {
            $this->value = null;
        }
    }

    private function getValue($array, $path)
    {
        $arrayPath = new ArrayPath_lb62962ddf0e9a04_04664523($array);
        return $arrayPath->getValue($path);
    }

}
