<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/dataStorage/ArrayPath_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/helpers/ArrayHelper_lb62962ddf0e9a04_04664523.php';

class GetArrayElementsByPathOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523
{

    protected $array;
    protected $elements = [];

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if ($id == 'array') {
            $this->array = ArrayHelper_lb62962ddf0e9a04_04664523::castToArray($value);
        }
        parent::setInDataPortById($id, $value);
    }

    public function getOutDataByPortId($portId)
    {
        return $this->elements[$portId];
    }

    public function process($params = array())
    {
        try {
            $arrayPath = new ArrayPath_lb62962ddf0e9a04_04664523($this->array);
            foreach ($this->outDataPorts as $portId => $dataPort) {
                $path = trim($dataPort['value']);
                $this->elements[$portId] = $arrayPath->getValue($path);
            }
        } catch(Exception $exception) {
            $this->result = $this->array;
        }
    }

}
