<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/dataStorage/ArrayPath_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/helpers/ArrayHelper_lb62962ddf0e9a04_04664523.php';

class GetArrayElementsByTemplateOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523
{
    protected $array;
    protected $pathTemplate;
    protected $elements;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['array']['value'])) {
            $this->array = ArrayHelper_lb62962ddf0e9a04_04664523::castToArray($this->inDataPorts['array']['value']);
        }
        if(!empty($this->inDataPorts['pathTemplate']['value'])) {
            $this->pathTemplate = trim($this->inDataPorts['pathTemplate']['value']);
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'array') {
            $this->array = ArrayHelper_lb62962ddf0e9a04_04664523::castToArray($value);
        } else if ($id == 'pathTemplate') {
            $this->pathTemplate = trim($value);
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->elements;
    }

    public function process($params = array())
    {
        try {
            $this->elements = $this->getElements($this->array, $this->pathTemplate);
        } catch(Exception $exception) {
            $this->elements = [];
        }
    }

    private function getElements($array, $pathTemplate)
    {
        $elements = [];
        $arrayPath = new ArrayPath_lb62962ddf0e9a04_04664523($array);
        $paths = $arrayPath->getPathsForPathTemplate($pathTemplate);
        foreach ($paths as $path) {
            $elements[] = $arrayPath->getValue($path);
        }
        return $elements;
    }

}
