<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/operators/FlowchartOperator_lb62962ddf0e9a04_04664523.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62962ddf0e9a04_04664523/dataStorage/FlowchartStructures_lb62962ddf0e9a04_04664523.php';

class SetStructureFieldsOperator_lb62962ddf0e9a04_04664523 extends FlowchartOperator_lb62962ddf0e9a04_04664523{

    protected $structure;
    protected $fieldValues = array();

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'structure'){
            $this->structure = $value;
        }else{
            $fieldSystemName = $this->inDataPorts[$id]['value'];
            $this->fieldValues[$fieldSystemName] = $value;
        }
    }

    public function process($params = array()){
        if(!empty($this->structure) && $this->structure instanceof FlowchartStructures_lb62962ddf0e9a04_04664523){
            foreach($this->fieldValues as $systemName => $value){
                $this->structure->setSchemaValue($systemName, $value);
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->structure;
    }

}
